<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_anaad_ga($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-01-ana-ad'); // 元の値を保持

	/*** アクセス解析タグの出力 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['insert-ga-tag'] ) && $value['insert-ga-tag'] === '1' ) {
		$value['insert-ga-tag'] = '1'; // 明示的に '1' を設定
	} else {
		$value['insert-ga-tag'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** GA4測定ID ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['ga4-tag-id'] ) && is_string( $value['ga4-tag-id'] ) ) {
		$value['ga4-tag-id'] = sanitize_text_field( $value['ga4-tag-id'] ); // サニタイズ
	} else {
		if ( isset( $original_value['ga4-tag-id'] ) ) {
			$value['ga4-tag-id'] = $original_value['ga4-tag-id']; // 元の値を保持
		} else {
			$value['ga4-tag-id'] = '';
		}
	}

	/*** ログインユーザーを除外 ***/
	if ( isset( $value['login-user-not-output-analytics_tag'] ) && $value['login-user-not-output-analytics_tag'] === '1' ) {
		$value['login-user-not-output-analytics_tag'] = '1'; // 明示的に '1' を設定
	} else {
		$value['login-user-not-output-analytics_tag'] = ''; // チェックされていない場合は空文字を設定
	}


	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}